Submit Deployment
POST
/api/v1/deployments/submit
const url = 'https://example.com/api/v1/deployments/submit';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"environment_id":"example","git_branch":"example","git_commit_sha":"example","status":"example","stage_name":"example","deployment_log":"example","job_run_url":"example","deployed_files":[{"file_path":"example","file_type":"other","status":"modified","platform_object_id":"example","deployment_status":"example","error_message":"example"}],"deployment_name":"example","deployment_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/deployments/submit \ --header 'Content-Type: application/json' \ --data '{ "environment_id": "example", "git_branch": "example", "git_commit_sha": "example", "status": "example", "stage_name": "example", "deployment_log": "example", "job_run_url": "example", "deployed_files": [ { "file_path": "example", "file_type": "other", "status": "modified", "platform_object_id": "example", "deployment_status": "example", "error_message": "example" } ], "deployment_name": "example", "deployment_id": "example" }'Submit results from an external deployment stage.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
DeploymentSubmitRequest
Request to submit a deployment executed externally (e.g. via DABs).
object
status
required
Status
string
stage_name
required
Stage Name
string
deployed_files
Any of:
Array<object>
DeploymentFileSubmitRecord of a single file in a deployment.
null
deployment_id
required
Deployment Id
The ID returned by /start to correlate this record
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
DeploymentResponse
Deployment response.
object
id
required
Id
string
environment_id
required
Environment Id
string
git_branch
required
Git Branch
string
git_commit_sha
required
Git Commit Sha
string
status
required
Status
string
created_at
required
Created At
string
Examplegenerated
{ "id": "example", "deployment_name": "example", "environment_id": "example", "git_branch": "example", "git_commit_sha": "example", "status": "example", "job_run_id": "example", "created_at": "example", "started_at": "example", "completed_at": "example", "initiated_by": "example", "error_message": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}